package com.house365.ws.dao.mapper;

import com.house365.beans.entity.ProjectDynamicEntity;
import com.house365.beans.entity.ProjectEntity;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author
 * Created by Administrator on 2019/8/13.
 */
@Repository
public interface ProjectMapper {

    List<ProjectEntity> getDynamicById(ProjectDynamicEntity pde);

    void updateCode(Map<String,Object> map);

    List<ProjectEntity> queryByConditions(Map<String,Object> map);

    ProjectEntity getById(int id);

    ProjectEntity queryNameById(Integer projectId);
}
